<?php 
namespace loylap;
class LoylapConfig {

    public static function BuildIframeURI () {
        
        $baseURI = LoylapConfig::loylapURI();

        $apiKey = \get_option("loy_api_key");
        $headerImage = \get_option("loy_hi");
        $BusinessName = \get_option("loy_groupname");
        $country = \get_option("loy_country");
        $title = \get_option ("loy_title");
        $subtitle = \get_option ("loy_subtitle");
        $headervisible = \get_option("loy_header_visible");

        $apikeyOption = "";
        if( $apiKey != null && $apiKey  != "" ){
            $apikeyOption = "apikey=" . $apiKey;
        }
        
        $headerOption = "";
        if ( $headerImage != null && $headerImage != ""){
            $headerOption = "&header=" . $headerImage;
        }   

        $headerEnabledOption = "";
        if ( $headervisible != null && $headervisible != ""){
            $headerEnabledOption = "&header_enabled=" . $headervisible;
        }   



        $nameOption = "";
        if( $BusinessName != null && $BusinessName != "") {
            $nameOption = '&business_name='. $BusinessName;
        }

        $countryOption = "";
        if (  $country != null &&  $country != ""){
            $countryOption =  '&country=' . $country;
        }
        
        
        $titleOption = "";
        if (  $title != null &&  $title != ""){
            $titleOption =  '&title=' . $title;
        }
        
        $subtitleOption = "";
        if (  $subtitle != null &&  $subtitle != ""){
            $subtitleOption =  '&subtitle=' . $subtitle;
        }
        


        return $baseURI."/external/widgets/wordpressWidget.php?".$apikeyOption.$headerOption.$countryOption.$titleOption.$subtitleOption.$headerEnabledOption;
    
    }


    public static function ApiURI(){
        if ( LOYLAP_LIVE ){
            $Api = 'https://api.loylap.com';
        }else{
            switch($_SERVER['SERVER_NAME']){
                case "localhost":
                    $Api = "http://localhost";
                break;
                
                default: 
                    $Api = "https://api-staging.loylap.com";
                break;
    
            }
        }
         return \esc_url($Api);
    
    }

    public static function loylapURI (){
        if ( LOYLAP_LIVE ){
            $URI = 'https://www.loylap.com';
        }else{
            switch($_SERVER['SERVER_NAME']){
                case "localhost":
                    $URI = "http://localhost";
            
                break;
                
                default: 
                    $URI = "https://dev.loylap.com";
                break;
    
            }
        }
         return \esc_url($URI);
    }

    public static function  shouldShowDebugInfo(){
        return WP_DEBUG || LOYLAP_DEBUG && ! LOYLAP_LIVE;
    }

    
}